MAC_FIND_MODE(9)

NAME
mac_find_mode - find a video mode

SYNOPSIS

int __init mac_find_mode (struct fb_var_screeninfo * var, struct fb_info * info, const char * mode_option, unsigned int default_bpp);

ARGUMENTS

var frame buffer user defined part of display

info
    frame buffer info structure

mode_option
    video mode name (see mac_modedb[])

default_bpp
    default color depth in bits per pixel

DESCRIPTION

Finds a suitable video mode. Tries to set mode specified by mode_option. If the name of the wanted mode begins with 'mac', the Mac video mode database will be used, otherwise it will fall back to the standard video mode database.

NOTE

Function marked as __init and can only be used during system boot.

Returns error code from fb_find_mode (see fb_find_mode function).